# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fuel-core-client"
version = "0.40.4"
authors = ["Fuel Labs <contact@fuel.sh>"]
description = "Tx client and schema specification."
homepage = "https://fuel.network/"
keywords = [
    "blockchain",
    "cryptocurrencies",
    "fuel-vm",
    "vm",
]
categories = [
    "concurrency",
    "cryptography::cryptocurrencies",
    "emulators",
]
license = "BUSL-1.1"
repository = "https://github.com/FuelLabs/fuel-core"

[dependencies.anyhow]
version = "1.0"

[dependencies.base64]
version = "0.22.1"
optional = true

[dependencies.cynic]
version = "2.2.1"
features = ["http-reqwest"]

[dependencies.derive_more]
version = "0.99"

[dependencies.eventsource-client]
version = "0.13.0"
optional = true

[dependencies.fuel-core-types]
version = "0.40.4"
features = [
    "alloc",
    "serde",
]
default-features = false

[dependencies.futures]
version = "0.3"
optional = true

[dependencies.hex]
version = "0.4"
features = ["serde"]

[dependencies.hyper-rustls]
version = "0.24"
features = ["webpki-tokio"]
optional = true

[dependencies.itertools]
version = "0.12"
default-features = false

[dependencies.reqwest]
version = "0.11.16"
features = [
    "rustls-tls",
    "cookies",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"
features = ["raw_value"]

[dependencies.tai64]
version = "=4.0.0"
features = ["serde"]

[dependencies.thiserror]
version = "1.0"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.fuel-core-types]
version = "0.40.4"
features = [
    "serde",
    "std",
    "test-helpers",
]
default-features = false

[dev-dependencies.insta]
version = "1.8"

[build-dependencies.schemafy_lib]
version = "0.5"

[build-dependencies.serde_json]
version = "1.0"
features = ["raw_value"]

[features]
default = [
    "subscriptions",
    "std",
]
std = ["fuel-core-types/std"]
subscriptions = [
    "base64",
    "eventsource-client",
    "futures",
    "hyper-rustls",
]
test-helpers = []
